#!/usr/bin/env python
import doctest
import unittest

suite = unittest.TestSuite()

suite.addTest(doctest.DocFileSuite('Radii.py',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('Point.py',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('SurfacePoint.py',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('UnitSurfacePoints.py',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('Surface.py',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('Atom.py',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('MacroMoleculeAtom.py',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('LigandAtom.py',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('WaterProbe.py',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('Hydration.py',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('Void.py',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('MacroMolecule.py',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('Assembly.py',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('./doc_tests/test_Point.txt',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('./doc_tests/test_SurfacePoint.txt',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('./doc_tests/test_Surface.txt',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('./doc_tests/test_Atom.txt',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('./doc_tests/test_MacroMoleculeAtom.txt',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('./doc_tests/test_LigandAtom.txt',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('./doc_tests/test_WaterProbe.txt',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('./doc_tests/test_Contact.txt',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('./doc_tests/test_ContactList.txt',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))
suite.addTest(doctest.DocFileSuite('./doc_tests/test_Assembly.txt',
    optionflags=doctest.ELLIPSIS + doctest.NORMALIZE_WHITESPACE))

runner = unittest.TextTestRunner(verbosity=2)
runner.run(suite)
